> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a shipping method

> Creates a new shipping method.



## OpenAPI

````yaml POST /quickbooks-desktop/shipping-methods
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/shipping-methods:
    post:
      summary: Create a shipping method
      description: Creates a new shipping method.
      parameters:
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 15
                  description: >-
                    The case-insensitive unique name of this shipping method,
                    unique across all shipping methods.


                    **NOTE**: Shipping methods do not have a `fullName` field
                    because they are not hierarchical objects, which is why
                    `name` is unique for them but not for objects that have
                    parents.


                    Maximum length: 15 characters.
                  example: FedEx Ground
                isActive:
                  type: boolean
                  description: >-
                    Indicates whether this shipping method is active. Inactive
                    objects are typically hidden from views and reports in
                    QuickBooks. Defaults to `true`.
                  example: true
                  default: true
              required:
                - name
              additionalProperties: false
      responses:
        '200':
          description: Returns the newly created shipping method.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/qbd_shipping_method'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Conductor from 'conductor-node';

            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });

            const shippingMethod = await conductor.qbd.shippingMethods.create({
              name: 'FedEx Ground',
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });

            console.log(shippingMethod.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            shipping_method = conductor.qbd.shipping_methods.create(
                name="FedEx Ground",
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(shipping_method.id)
components:
  schemas:
    qbd_shipping_method:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this shipping
            method. This ID is unique across all shipping methods but not across
            different QuickBooks object types.
          example: 80000001-1234567890
        objectType:
          type: string
          const: qbd_shipping_method
          description: The type of object. This value is always `"qbd_shipping_method"`.
          example: qbd_shipping_method
        createdAt:
          type: string
          description: >-
            The date and time when this shipping method was created, in ISO 8601
            format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this shipping method was last updated, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this shipping
            method object, which changes each time the object is modified. When
            updating this object, you must provide the most recent
            `revisionNumber` to ensure you're working with the latest data;
            otherwise, the update will return an error.
          example: '1721172183'
        name:
          type: string
          description: >-
            The case-insensitive unique name of this shipping method, unique
            across all shipping methods.


            **NOTE**: Shipping methods do not have a `fullName` field because
            they are not hierarchical objects, which is why `name` is unique for
            them but not for objects that have parents.
          example: FedEx Ground
        isActive:
          type: boolean
          description: >-
            Indicates whether this shipping method is active. Inactive objects
            are typically hidden from views and reports in QuickBooks. Defaults
            to `true`.
          example: true
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - name
        - isActive
      additionalProperties: false
      title: The Shipping Method object
      x-conductor-object-type: other
      summary: >-
        A shipping method defines how goods are delivered in QuickBooks Desktop,
        such as standard mail or overnight delivery.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).